=== debian/changelog ===
quakespasm (0.85.4-1) unstable; urgency=low

  [ David Banks ]
  * Initial release to Debian. (Closes: #615090)
  * Repack source tarball to exclude non-free components.
  * Build with user directories patch from upstream.
  * Add note about pulseaudio in README.Debian.

  [ Simon McVittie ]
  * Merge unreleased changelog entries
  * Add complete statement of license to copyright file
  * Add some missing copyright holders to copyright file
  * Use install(1) to ensure permissions are appropriate
  * Add some section headings to README.Debian
  * Recommend using game-data-packager for the data
  * Do not Recommend quake-data: this engine could be used with unpackaged
    free data such as OpenQuartz, and the quake package acts as the
    metapackage for "non-free Quake data and an engine"
  * Mention the quake package, and OpenQuartz, in the package description
  * Attribute copyright for snd_mp3.c more precisely, and reproduce all
    necessary copyright notices
  * Participate in the quake-engine and quake-engine-server alternatives as
    defined by the quake package
  * Add debian/source/local-options to unapply patches after building from
    git, and a .gitignore
  * Standards-Version: 3.9.2 (no changes)

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Jul 2011 17:36:33 +0100
