=== debian/control ===
Source: quakespasm
Maintainer: David Banks <amoebae@gmail.com>
Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>,
           Simon McVittie <smcv@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper (>= 8), libsdl1.2-dev, libvorbis-dev, libmad0-dev
Standards-Version: 3.9.2
Homepage: http://quakespasm.sourceforge.net/

Package: quakespasm
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: quake-engine, quake-engine-server
Description: engine for iD software's Quake
 QuakeSpasm is a Unix-friendly Quake engine based on the SDL port of the
 popular FitzQuake. It includes some new features, important fixes, and aims
 for portability and correctness.
 .
 This package contains no data files. To use it, you will need to either
 install the commercial Quake data, or alternative free data files such as
 OpenQuartz.
 .
 This engine is typically used via a script that launches it with a particular
 data set, such as the one found in the "quake" package.

Package: quakespasm-dbg
Architecture: any
Section: debug
Priority: extra
Depends: quakespasm (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: engine for iD software's Quake - debug symbols
 QuakeSpasm is a Unix-friendly Quake engine based on the SDL port of the
 popular FitzQuake.
 .
 This package contains debug symbols, which can be used to debug QuakeSpasm
 if it crashes.
