## quakespasm 0.85.6

=== Quake/Makefile ===
--- 
+++ 
@@ -1,26 +1,23 @@
-### GNU Makefile for QuakeSpasm unix targets, Mar. 27, 2011
+### GNU Makefile for QuakeSpasm unix targets, Dec. 27, 2011
 #
 # You need the SDL library fully installed.
 # "make DEBUG=1" to build a debug client.
 # "make SDL_CONFIG=/path/to/sdl-config" for unusual SDL installations.
-# "make SDLNET=1" to use SDL_net (not recommended)
-#                 instead of platform specific code.
-# Build objects are separate from those of codeblocks
+# "make SDLNET=1" to use SDL_net (NOT recommended) instead of platform
+# specific code.
 
 ### Embed custom Quakespasm console background picture
 USE_QS_CONBACK=1
 
 ### Enable/Disable codecs for streaming music support
-#
-# OGG (vorbis) playback requires libvorbis and libogg
-# MP3 playback requires libmad or libmpg123 (see MP3LIB below)
-
 USE_CODEC_WAVE=1
 USE_CODEC_MP3=1
 USE_CODEC_VORBIS=1
 
 # which library to use for mp3 decoding: mad or mpg123
 MP3LIB=mad
+# which library to use for ogg decoding: vorbis or tremor
+VORBISLIB=vorbis
 
 # ============================================================================
 # Helper functions
@@ -111,10 +108,10 @@
 
 SDL_CONFIG ?= sdl-config
 SDL_CFLAGS := $(shell $(SDL_CONFIG) --cflags)
-SDL_LFLAGS := $(shell $(SDL_CONFIG) --libs)
+SDL_LIBS   := $(shell $(SDL_CONFIG) --libs)
 
 ifeq ($(SDLNET),1)
-NET_LIBS   := SDL_net
+NET_LIBS   :=-lSDL_net
 CFLAGS     +=-D_USE_SDLNET
 else
 NET_LIBS   :=
@@ -124,15 +121,31 @@
 CFLAGS+= -DUSE_QS_CONBACK
 endif
 
+ifneq ($(VORBISLIB),vorbis)
+ifneq ($(VORBISLIB),tremor)
+$(error Invalid VORBISLIB setting)
+endif
+endif
+ifneq ($(MP3LIB),mpg123)
+ifneq ($(MP3LIB),mad)
+$(error Invalid MP3LIB setting)
+endif
+endif
 ifeq ($(MP3LIB),mad)
 mp3_obj=snd_mp3.o
-else
+lib_mp3dec=-lmad
+endif
 ifeq ($(MP3LIB),mpg123)
 mp3_obj=snd_mpg123.o
-else
-USE_CODEC_MP3=no
-mp3_obj=snd_mp3.o
-endif
+lib_mp3dec=-lmpg123
+endif
+ifeq ($(VORBISLIB),vorbis)
+cpp_vorbisdec=
+lib_vorbisdec=-lvorbisfile -lvorbis -logg
+endif
+ifeq ($(VORBISLIB),tremor)
+cpp_vorbisdec=-DVORBIS_USE_TREMOR
+lib_vorbisdec=-lvorbisidec -logg
 endif
 
 CODECLIBS  :=
@@ -140,17 +153,17 @@
 CFLAGS+= -DUSE_CODEC_WAVE
 endif
 ifeq ($(USE_CODEC_VORBIS),1)
-CFLAGS+= -DUSE_CODEC_VORBIS
-CODECLIBS+= vorbis vorbisfile ogg
+CFLAGS+= -DUSE_CODEC_VORBIS $(cpp_vorbisdec)
+CODECLIBS+= $(lib_vorbisdec)
 endif
 ifeq ($(USE_CODEC_MP3),1)
 CFLAGS+= -DUSE_CODEC_MP3
-CODECLIBS+= $(MP3LIB)
-endif
-
-COMMON_LIBS:= m GL
-
-LIBS := $(patsubst %,-l%,$(COMMON_LIBS) $(NET_LIBS) $(CODECLIBS))
+CODECLIBS+= $(lib_mp3dec)
+endif
+
+COMMON_LIBS:= -lm -lGL
+
+LIBS := $(COMMON_LIBS) $(NET_LIBS) $(CODECLIBS)
 
 # ---------------------------
 # targets
@@ -211,7 +224,8 @@
 	r_brush.o \
 	gl_model.o
 
-OBJS := \
+OBJS := strlcat.o \
+	strlcpy.o \
 	$(GLOBJS) \
 	$(SYSOBJ_INPUT) \
 	$(COMOBJ_SND) \
@@ -237,6 +251,7 @@
 	common.o \
 	crc.o \
 	cvar.o \
+	cfgfile.o \
 	host.o \
 	host_cmd.o \
 	mathlib.o \
@@ -257,7 +272,7 @@
 # ------------------------
 
 quakespasm:	$(OBJS)
-	$(CC) $(CFLAGS) -o quakespasm $(OBJS) $(X11_LFLAGS) $(SDL_LFLAGS) $(LIBS)
+	$(CC) $(OBJS) $(X11_LFLAGS) $(LIBS) $(SDL_LIBS) -o $@
 	$(call do_strip,$@)
 
 release:	quakespasm
