=== debian/changelog ===
quakespasm (0.85.6-1) unstable; urgency=low

  [ Stephen Kitt ]
  * New upstream release:
    - Drop debian/patches/history-in-dotfile.patch, fixed differently
      upstream.
    - Refresh debian/patches/support-user-directories.patch using the
      upstream-provided patch in Misc/homedir_0.patch.
  * Add the VCS URLs.
  * Add myself to uploaders.
  
  [ Simon McVittie ]
  * debian/patches/gnu.patch: add "gnu" as an OS type, so compilation can at
    least be attempted on Hurd and kFreeBSD
  * Remove explicit compression=gzip from gbp.conf so it can cope with
    bzip2 too
  * Add the license and copyright holder of OpenBSD strlcpy/strlcat to the
    copyright file

 -- Simon McVittie <smcv@debian.org>  Fri, 27 Jan 2012 11:05:02 +0000
