=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: quakespasm
 Maintainer: David Banks <amoebae@gmail.com>
 Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>,
-           Simon McVittie <smcv@debian.org>
+           Simon McVittie <smcv@debian.org>,
+	   Stephen Kitt <steve@sk2.org>
 Section: games
 Priority: optional
 Build-Depends: debhelper (>= 8), libsdl1.2-dev, libvorbis-dev, libmad0-dev
 Standards-Version: 3.9.2
 Homepage: http://quakespasm.sourceforge.net/
+Vcs-Git: git://anonscm.debian.org/pkg-games/quakespasm.git
+Vcs-Browser: http://anonscm.debian.org/git/pkg-games/quakespasm.git
 
 Package: quakespasm
 Architecture: any
