=== debian/rules ===
#!/usr/bin/make -f

DESTDIR = $(CURDIR)/debian/quakespasm

%:
	dh $@

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
maybe_debug = DEBUG=0
else
maybe_debug = DEBUG=1
endif

override_dh_auto_clean:
	make -C Quake clean

override_dh_auto_build:
	make -C Quake \
		$(maybe_debug) \
		STRIP=": do not strip:"

override_dh_auto_install:
	install -d $(DESTDIR)/usr/games
	install Quake/quakespasm $(DESTDIR)/usr/games

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream-changelog

override_dh_strip:
	dh_strip --dbg-package=quakespasm-dbg
