## quakespasm 0.85.7

=== Quake/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-### GNU Makefile for QuakeSpasm unix targets, Dec. 27, 2011
+### GNU Makefile for QuakeSpasm unix targets, March 09, 2012
 #
 # You need the SDL library fully installed.
 # "make DEBUG=1" to build a debug client.
@@ -32,7 +32,7 @@
 
 BUILDDIR := .
 
-SYSNAME := $(shell uname -s) 
+SYSNAME := $(shell uname -s)
 
 ifneq (,$(findstring MINGW32,$(SYSNAME)))
 HOST_OS = WIN32
@@ -54,7 +54,7 @@
 endif
 
 # ---------------------------------------
-# Define some build variables
+# build variables
 # ---------------------------------------
 
 CC ?= gcc
@@ -268,7 +268,7 @@
 	$(SYSOBJ_SYS) $(SYSOBJ_MAIN) $(SYSOBJ_RES)
 
 # ------------------------
-# build rules for Linux
+# Linux build rules
 # ------------------------
 
 quakespasm:	$(OBJS)
@@ -280,7 +280,7 @@
 	$(error Use "make DEBUG=1")
 
 install:	quakespasm
-	cp quakespasm /usr/local/games/quake
+	cp quakespasm /usr/local/games/quake/
 
 clean:
 	rm -f $(shell find . \( -name '*~' -o -name '#*#' -o -name '*.o' -o -name '*.res' -o -name $(DEFAULT_TARGET) \) -print)
