=== debian/changelog ===
quakespasm (0.85.7-1) unstable; urgency=low

  [ David Banks ]
  * New upstream release.
    - Use the correct definition of sockaddr for kFreeBSD (Closes: #657793)
  * Update to latest policy and DEP-5 version.
  * Refresh support-user-directories.patch and gnu.patch.
  * Refresh upstream changelog.
  * Drop use of ${shlib:Depends} for the debug package.
  * Update manual page: drop dead options, update option descriptions

  [ Simon McVittie ]
  * Configure git-buildpackage to filter Windows and Mac binaries out of
    the "orig" tarball as well as the git repository, and re-import the orig
    tarball

 -- Simon McVittie <smcv@debian.org>  Tue, 01 May 2012 10:36:36 +0100
