=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Section: games
 Priority: optional
 Build-Depends: debhelper (>= 8), libsdl1.2-dev, libvorbis-dev, libmad0-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://quakespasm.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/pkg-games/quakespasm.git
-Vcs-Browser: http://anonscm.debian.org/git/pkg-games/quakespasm.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/quakespasm.git
 
 Package: quakespasm
 Architecture: any
@@ -32,9 +32,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: quakespasm (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: quakespasm (= ${binary:Version}), ${misc:Depends}
 Description: engine for iD software's Quake - debug symbols
  QuakeSpasm is a Unix-friendly Quake engine based on the SDL port of the
  popular FitzQuake.
