## quakespasm 0.85.8

=== Quake/Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
-### GNU Makefile for QuakeSpasm unix targets, March 09, 2012
-#
+# GNU Makefile for QuakeSpasm unix targets, May 30, 2012
 # You need the SDL library fully installed.
 # "make DEBUG=1" to build a debug client.
 # "make SDL_CONFIG=/path/to/sdl-config" for unusual SDL installations.
@@ -27,48 +26,28 @@
 
 # ============================================================================
 
-DEBUG    ?= 0
-SDLNET   ?= 0
-
-BUILDDIR := .
-
-SYSNAME := $(shell uname -s)
-
-ifneq (,$(findstring MINGW32,$(SYSNAME)))
-HOST_OS = WIN32
-TOPDIR := $(shell pwd -W)
-else
-ifneq (,$(findstring $(SYSNAME),FreeBSD NetBSD OpenBSD))
-HOST_OS = UNIX
-UNIX = bsd
-TOPDIR := $(shell pwd)
-else
-ifneq (,$(findstring Linux,$(SYSNAME)))
-HOST_OS = UNIX
-UNIX = linux
-TOPDIR := $(shell pwd)
-else
-$(error OS type not detected.)
-endif
-endif
-endif
+HOST_OS := $(shell uname|sed -e s/_.*//|tr '[:upper:]' '[:lower:]')
+
+DEBUG   ?= 0
+SDLNET  ?= 0
 
 # ---------------------------------------
 # build variables
 # ---------------------------------------
 
 CC ?= gcc
-WINDRES ?= windres
+LINKER = $(CC)
+
 STRIP ?= strip
 
 #CPUFLAGS= -mtune=i686
 #CPUFLAGS= -march=pentium4
 #CPUFLAGS= -mtune=k8
 #CPUFLAGS= -march=atom
-CPUFLAGS= 
+CPUFLAGS=
+LDFLAGS =
 DFLAGS ?=
 CFLAGS ?= -Wall -Wno-trigraphs
-# CFLAGS += -Werror
 CFLAGS += $(CPUFLAGS)
 
 ifneq ($(DEBUG),0)
@@ -102,8 +81,8 @@
 X11BASE	?= $(X11BASE_GUESS)
 
 ifneq ($(X11BASE),)
-X11_LFLAGS := -L$(X11BASE)/lib
-X11_CFLAGS := -I$(X11BASE)/include
+LDFLAGS+= -L$(X11BASE)/lib
+CFLAGS += -I$(X11BASE)/include
 endif
 
 SDL_CONFIG ?= sdl-config
@@ -114,7 +93,11 @@
 NET_LIBS   :=-lSDL_net
 CFLAGS     +=-D_USE_SDLNET
 else
+ifeq ($(HOST_OS),sunos)
+NET_LIBS   :=-lsocket -lnsl -lresolv
+else
 NET_LIBS   :=
+endif
 endif
 
 ifeq ($(USE_QS_CONBACK),1)
@@ -178,7 +161,7 @@
 # ---------------------------
 
 %.o:	%.c
-	$(CC) $(DFLAGS) -c $(CFLAGS) $(X11_CFLAGS) $(SDL_CFLAGS) -o $@ $^
+	$(CC) $(DFLAGS) -c $(CFLAGS) $(SDL_CFLAGS) -o $@ $^
 
 # ----------------------------------------------------------------------------
 # objects
@@ -272,16 +255,13 @@
 # ------------------------
 
 quakespasm:	$(OBJS)
-	$(CC) $(OBJS) $(X11_LFLAGS) $(LIBS) $(SDL_LIBS) -o $@
+	$(LINKER) $(OBJS) $(LDFLAGS) $(LIBS) $(SDL_LIBS) -o $@
 	$(call do_strip,$@)
 
 release:	quakespasm
 debug:
 	$(error Use "make DEBUG=1")
 
-install:	quakespasm
-	cp quakespasm /usr/local/games/quake/
-
 clean:
 	rm -f $(shell find . \( -name '*~' -o -name '#*#' -o -name '*.o' -o -name '*.res' -o -name $(DEFAULT_TARGET) \) -print)
