=== debian/changelog ===
quakespasm (0.85.8-1) unstable; urgency=low

  [ David Banks ]
  * New upstream release.
  * Refresh patches: remove-redundant-linking.patch, mp3-copyright.patch.
  * Delete hurd/kFreeBSD compatibility patch gnu.patch, obsoleted by
    substantial changes in the upstream Makefile machinery.
  * Refresh the user directory support patch with trivial changes from upstream.
  * Bump debhelper version to 9 to avoid spurious python warning on build.
  * Add use-inherited-build-flags.patch to use hardening flags during build

  [ Simon McVittie ]
  * Update debian/copyright.
  * Adjust mp3-copyright.patch so it doesn't reduce the range of copyright
    years asserted.
  * Remove unused history-in-dotfile.patch.
  * Refresh patches to git format-patch format, as used by gbp-pq.
  * Discard changes from experimental's 0.85.7-2, no longer relevant:
    - upstream now has the equivalent of Svante Signell's patch to make
      networking work on Hurd (Closes: #671014)
    - David added support for CFLAGS/LDFLAGS/CPPFLAGS differently
  * Upload to unstable.

 -- Simon McVittie <smcv@debian.org>  Sun, 12 May 2013 11:22:45 +0100
