=== debian/changelog ===
quakespasm (0.85.9-1) unstable; urgency=low

  [ David Banks ]
  * New upstream release.
  * Refresh upstream changelog.

  [ Simon McVittie ]
  * Update debian/copyright
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Sep 2013 10:32:48 +0100
