=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 	   Stephen Kitt <steve@sk2.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper (>= 8), libsdl1.2-dev, libvorbis-dev, libmad0-dev
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), libsdl1.2-dev,
+               libvorbis-dev, libmad0-dev
 Standards-Version: 3.9.3
 Homepage: http://quakespasm.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/pkg-games/quakespasm.git
