=== debian/watch ===
version=3

http://sf.net/quakespasm/quakespasm-([\d\.]*).tgz
