## quakespasm 0.90.1+dfsg

=== debian/changelog ===
quakespasm (0.90.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove the Mac OS X and Windows binaries using "Files-Excluded" in
    debian/copyright rather than filtering in gbp.conf.
  * Rename "[git-import-orig]" to "[import-orig]" in gbp.conf.

 -- Stephen Kitt <skitt@debian.org>  Mon, 22 Jun 2015 07:23:12 +0200

quakespasm (0.90.0-3) unstable; urgency=medium

  * Drop another use of __DATE__ and __TIME__...
  * Identify the games team as "Maintainer:", and move David Banks to
    "Uploaders:".

 -- Stephen Kitt <skitt@debian.org>  Sun, 03 May 2015 19:04:01 +0200

quakespasm (0.90.0-2) unstable; urgency=medium

  * Drop __DATE__ and __TIME__ to make the build reproducible.
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Thu, 30 Apr 2015 17:20:34 +0200

quakespasm (0.90.0-1) experimental; urgency=medium

  * New upstream release.
  * Switch to my Debian address.
  * Build with SDL2, FLAC, OPUS and MikMod.
  * Rework debian/copyright.
  * wrap-and-sort.
  * Build and install quakespasm.pak.
  * Standards-Version 3.9.6, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 23 Mar 2015 23:46:26 +0100
