## quakespasm 0.91.0+dfsg

=== Quake/Makefile ===
--- 
+++ 
@@ -1,17 +1,25 @@
-# GNU Makefile for QuakeSpasm unix targets, Oct. 25, 2012
+# GNU Makefile for QuakeSpasm unix targets, Sep. 10, 2014
 # You need the SDL library fully installed.
 # "make DEBUG=1" to build a debug client.
 # "make SDL_CONFIG=/path/to/sdl-config" for unusual SDL installations.
-# "make SDLNET=1" to use SDL_net (NOT recommended) instead of platform
-# specific code.
-
-### Embed custom Quakespasm console background picture
-USE_QS_CONBACK=1
+# "make DO_USERDIRS=1" to enable user directories support
+
+# Enable/Disable user directories support
+DO_USERDIRS=0
+
+### Enable/Disable SDL2
+USE_SDL2=0
 
 ### Enable/Disable codecs for streaming music support
 USE_CODEC_WAVE=1
+USE_CODEC_FLAC=0
 USE_CODEC_MP3=1
 USE_CODEC_VORBIS=1
+USE_CODEC_OPUS=0
+# either mikmod (preferred) or modplug, not both
+USE_CODEC_MIKMOD=0
+USE_CODEC_MODPLUG=0
+USE_CODEC_UMX=0
 
 # which library to use for mp3 decoding: mad or mpg123
 MP3LIB=mad
@@ -29,7 +37,6 @@
 HOST_OS := $(shell uname|sed -e s/_.*//|tr '[:upper:]' '[:lower:]')
 
 DEBUG   ?= 0
-SDLNET  ?= 0
 
 # ---------------------------
 # build variables
@@ -49,7 +56,6 @@
 DFLAGS ?=
 CFLAGS ?= -Wall -Wno-trigraphs
 CFLAGS += $(CPUFLAGS)
-
 ifneq ($(DEBUG),0)
 DFLAGS += -DDEBUG
 CFLAGS += -g
@@ -65,6 +71,10 @@
 endef
 endif
 
+ifeq ($(DO_USERDIRS),1)
+CFLAGS += -DDO_USERDIRS=1
+endif
+
 ### X11BASE only gets used if its in an unusual place
 
 X11DIRS := /usr/X11R7 /usr/local/X11R7 /usr/X11R6 /usr/local/X11R6
@@ -85,24 +95,23 @@
 CFLAGS += -I$(X11BASE)/include
 endif
 
+ifeq ($(USE_SDL2),1)
+CFLAGS += -DUSE_SDL2
+endif
+
+ifeq ($(USE_SDL2),1)
+SDL_CONFIG ?= sdl2-config
+else
 SDL_CONFIG ?= sdl-config
+endif
 SDL_CFLAGS := $(shell $(SDL_CONFIG) --cflags)
 SDL_LIBS   := $(shell $(SDL_CONFIG) --libs)
 
-ifeq ($(SDLNET),1)
-NET_LIBS   :=-lSDL_net
-CFLAGS     +=-D_USE_SDLNET
-else
 ifeq ($(HOST_OS),sunos)
 NET_LIBS   :=-lsocket -lnsl -lresolv
 else
 NET_LIBS   :=
 endif
-endif
-
-ifeq ($(USE_QS_CONBACK),1)
-CFLAGS+= -DUSE_QS_CONBACK
-endif
 
 ifneq ($(VORBISLIB),vorbis)
 ifneq ($(VORBISLIB),tremor)
@@ -135,6 +144,18 @@
 ifeq ($(USE_CODEC_WAVE),1)
 CFLAGS+= -DUSE_CODEC_WAVE
 endif
+ifeq ($(USE_CODEC_FLAC),1)
+CFLAGS+= -DUSE_CODEC_FLAC
+CODECLIBS+= -lFLAC
+endif
+ifeq ($(USE_CODEC_OPUS),1)
+# opus and opusfile put their *.h under <includedir>/opus,
+# but they include the headers without the opus directory
+# prefix and rely on pkg-config. ewww...
+CFLAGS+= -DUSE_CODEC_OPUS
+CFLAGS+= $(shell pkg-config --cflags opusfile)
+CODECLIBS+= $(shell pkg-config --libs   opusfile)
+endif
 ifeq ($(USE_CODEC_VORBIS),1)
 CFLAGS+= -DUSE_CODEC_VORBIS $(cpp_vorbisdec)
 CODECLIBS+= $(lib_vorbisdec)
@@ -143,6 +164,17 @@
 CFLAGS+= -DUSE_CODEC_MP3
 CODECLIBS+= $(lib_mp3dec)
 endif
+ifeq ($(USE_CODEC_MIKMOD),1)
+CFLAGS+= -DUSE_CODEC_MIKMOD
+CODECLIBS+= -lmikmod
+endif
+ifeq ($(USE_CODEC_MODPLUG),1)
+CFLAGS+= -DUSE_CODEC_MODPLUG
+CODECLIBS+= -lmodplug
+endif
+ifeq ($(USE_CODEC_UMX),1)
+CFLAGS+= -DUSE_CODEC_UMX
+endif
 
 COMMON_LIBS:= -lm -lGL
 
@@ -169,19 +201,20 @@
 
 MUSIC_OBJS:= bgmusic.o \
 	snd_codec.o \
+	snd_flac.o \
 	snd_wave.o \
 	snd_vorbis.o \
-	$(mp3_obj)
+	snd_opus.o \
+	$(mp3_obj) \
+	snd_mikmod.o \
+	snd_modplug.o \
+	snd_umx.o
 COMOBJ_SND := snd_dma.o snd_mix.o snd_mem.o $(MUSIC_OBJS)
 SYSOBJ_SND := snd_sdl.o
 SYSOBJ_CDA := cd_sdl.o
 SYSOBJ_INPUT := in_sdl.o
 SYSOBJ_GL_VID:= gl_vidsdl.o
-ifeq ($(SDLNET),1)
-SYSOBJ_NET := net_sdl.o net_sdlnet.o
-else
 SYSOBJ_NET := net_bsd.o net_udp.o
-endif
 SYSOBJ_SYS := pl_linux.o sys_sdl_unix.o
 SYSOBJ_MAIN:= main_sdl.o
 SYSOBJ_RES :=
@@ -246,7 +279,6 @@
 	sv_phys.o \
 	sv_user.o \
 	world.o \
-	conback.o \
 	zone.o \
 	$(SYSOBJ_SYS) $(SYSOBJ_MAIN) $(SYSOBJ_RES)
 
@@ -265,3 +297,5 @@
 clean:
 	rm -f $(shell find . \( -name '*~' -o -name '#*#' -o -name '*.o' -o -name '*.res' -o -name $(DEFAULT_TARGET) \) -print)
 
+install:	quakespasm
+	cp quakespasm /usr/local/games/quake
