=== debian/changelog ===
quakespasm (0.91.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Migrate to dbgsym debug packages.
  * Clean up debian/rules.
  * Drop upstream-changelog (the user-readable changelog is in the
    documentation).

 -- Stephen Kitt <skitt@debian.org>  Wed, 20 Jan 2016 13:53:31 +0100
