=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Section: games
 Priority: optional
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 9.20151219~),
  dpkg-dev (>= 1.16.1~),
  libflac-dev,
  libmad0-dev,
@@ -39,17 +39,3 @@
  .
  This engine is typically used via a script that launches it with a particular
  data set, such as the one found in the "quake" package.
-
-Package: quakespasm-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends:
- quakespasm (= ${binary:Version}),
- ${misc:Depends}
-Description: engine for iD software's Quake - debug symbols
- QuakeSpasm is a Unix-friendly Quake engine based on the SDL port of the
- popular FitzQuake.
- .
- This package contains debug symbols, which can be used to debug QuakeSpasm
- if it crashes.
