## quakespasm 0.92.0+dfsg

=== debian/changelog ===
quakespasm (0.92.0+dfsg-1) unstable; urgency=medium

  [ Simon McVittie ]
  * Switch Vcs-Git to https (see #810378)
  * Switch Vcs-Browser to https and cgit

  [ Stephen Kitt ]
  * New upstream release.
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 25 Jul 2016 08:21:13 +0200
