## quakespasm 0.92.1+dfsg

=== debian/changelog ===
quakespasm (0.92.1+dfsg-2) unstable; urgency=medium

  * Increase debhelper compat level to 10 (parallel build by default)
  * d/copyright: break out BSD-3-clause to a standalone license paragraph
  * Enable full compiler hardening
  * d/rules: Remove redundant DESTDIR setting
  * Use git-format-patch-compatible patch headers as used by gbp pq
  * Adjust mp3-copyright.patch so it applies again
  * Remove old patch for user directory support, which was applied upstream
  * Fix an incorrectly-spelled version of "response" as detected by Lintian

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Jun 2017 17:42:33 +0100

quakespasm (0.92.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop useless unversioned dpkg-dev build-dependency.
  * Fix a few spelling mistakes.

 -- Stephen Kitt <skitt@debian.org>  Fri, 26 Aug 2016 22:45:10 +0200
