=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
            Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper (>= 9.20151219~),
-               dpkg-dev,
+Build-Depends: debhelper (>= 10),
                libflac-dev,
                libmad0-dev,
                libmikmod-dev,
