## quakespasm 0.93.0+dfsg

=== debian/changelog ===
quakespasm (0.93.0+dfsg-2) unstable; urgency=medium

  * Move git hosting to salsa.debian.org
  * debian/gbp.conf: Configure for DEP-14 repository layout

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Jan 2018 09:23:33 +0000

quakespasm (0.93.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 23 Nov 2017 18:39:53 +0100

quakespasm (0.92.1+dfsg-3) unstable; urgency=medium

  * d/copyright: Use https Format URL
  * Standards-Version: 4.1.1 (no further changes)
  * Set Rules-Requires-Root to no. With recent debhelper and dpkg
    versions, this package can be built without fakeroot.

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Nov 2017 08:50:34 +0000
