=== debian/control ===
--- 
+++ 
@@ -12,9 +12,10 @@
                libopusfile-dev,
                libsdl2-dev,
                libvorbis-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/quakespasm.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/quakespasm.git
+Rules-Requires-Root: no
+Standards-Version: 4.1.1
+Vcs-Browser: https://salsa.debian.org/games-team/quakespasm
+Vcs-Git: https://salsa.debian.org/games-team/quakespasm.git
 Homepage: http://quakespasm.sourceforge.net/
 
 Package: quakespasm
