=== debian/changelog ===
quakespasm (0.93.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 08 Jun 2018 10:13:33 +0200

quakespasm (0.93.0+dfsg-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Improve cross buildability: (Closes: #900217)
    + Let dh_auto_build pass cross tools to make.
    + cross.patch: Make pkg-config substitutable.

  [ Stephen Kitt ]
  * Drop debug symbol migration, published in Stretch.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.4, no change required.
  * Apply David Banks’ patch to avoid double-counting rotfish.
    (Closes: #742895)

 -- Stephen Kitt <skitt@debian.org>  Sun, 27 May 2018 20:32:54 +0200
