=== debian/watch ===
version=3

opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
 http://sf.net/quakespasm/quakespasm-([\d\.]*).tgz
