=== debian/changelog ===
quakespasm (0.93.2+dfsg-2) unstable; urgency=medium

  * Standards-Version 4.5.1 (no changes required)
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * d/upstream/metadata: Add
  * d/gbp.conf: Set packaging branch to debian/latest
  * Re-export patch series in git format-patch format.
    This dialect of DEP-3 interacts better with gbp-pq, and with git in
    general.
  * Mark some patches as forwarded upstream
  * d/watch: Update file format version to 4, and use https

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Dec 2020 14:15:12 +0000

quakespasm (0.93.2+dfsg-1) unstable; urgency=medium

  [ Simon McVittie ]
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
  * Move to debhelper-compat 12
  * Standards-Version 4.4.1 (no changes required)

  [ Stephen Kitt ]
  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 18 Nov 2019 10:03:42 +0100
