=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// https://sf.net/quakespasm/ quakespasm-([\d\.]*).tgz
