## quakespasm 0.94.3+dfsg

=== Quake/Makefile ===
--- 
+++ 
@@ -46,11 +46,8 @@
 LINKER = $(CC)
 
 STRIP ?= strip
-
-#CPUFLAGS= -mtune=i686
-#CPUFLAGS= -march=pentium4
-#CPUFLAGS= -mtune=k8
-#CPUFLAGS= -march=atom
+PKG_CONFIG ?= pkg-config
+
 CPUFLAGS=
 LDFLAGS =
 DFLAGS ?=
@@ -124,11 +121,11 @@
 endif
 endif
 ifeq ($(MP3LIB),mad)
-mp3_obj=snd_mp3.o
+mp3_obj=snd_mp3
 lib_mp3dec=-lmad
 endif
 ifeq ($(MP3LIB),mpg123)
-mp3_obj=snd_mpg123.o
+mp3_obj=snd_mpg123
 lib_mp3dec=-lmpg123
 endif
 ifeq ($(VORBISLIB),vorbis)
@@ -153,8 +150,8 @@
 # but they include the headers without the opus directory
 # prefix and rely on pkg-config. ewww...
 CFLAGS+= -DUSE_CODEC_OPUS
-CFLAGS+= $(shell pkg-config --cflags opusfile)
-CODECLIBS+= $(shell pkg-config --libs   opusfile)
+CFLAGS+= $(shell $(PKG_CONFIG) --cflags opusfile)
+CODECLIBS+= $(shell $(PKG_CONFIG) --libs   opusfile)
 endif
 ifeq ($(USE_CODEC_VORBIS),1)
 CFLAGS+= -DUSE_CODEC_VORBIS $(cpp_vorbisdec)
@@ -205,7 +202,8 @@
 	snd_wave.o \
 	snd_vorbis.o \
 	snd_opus.o \
-	$(mp3_obj) \
+	$(mp3_obj).o \
+	snd_mp3tag.o \
 	snd_mikmod.o \
 	snd_xmp.o \
 	snd_umx.o
@@ -265,6 +263,7 @@
 	wad.o \
 	cmd.o \
 	common.o \
+	miniz.o \
 	crc.o \
 	cvar.o \
 	cfgfile.o \
