=== debian/changelog ===
quakespasm (0.94.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 09 Dec 2021 22:54:30 +0100

quakespasm (0.94.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 17 Oct 2021 20:36:00 +0200

quakespasm (0.94.1+dfsg-1) unstable; urgency=medium

  * New upstream bug-fix release.
  * The build expects preprocessor flags in DFLAGS, use that instead of
    adding CPPFLAGS to CFLAGS.

 -- Stephen Kitt <skitt@debian.org>  Tue, 07 Sep 2021 13:21:52 +0200

quakespasm (0.94.0+dfsg-1) unstable; urgency=medium

  * New upstream release, with support for the 2021 re-release.
  * debian/watch: allow all archive extensions.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 04 Sep 2021 17:40:35 +0200
