## quakespasm 0.94.7+dfsg

=== debian/changelog ===
quakespasm (0.94.7+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Tue, 26 Jul 2022 21:52:08 +0100

quakespasm (0.94.6+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update Lintian overrides syntax

 -- Simon McVittie <smcv@debian.org>  Sat, 09 Jul 2022 17:28:55 +0100

quakespasm (0.94.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 17 Jun 2022 14:19:35 +0200

quakespasm (0.94.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 18 May 2022 20:21:44 +0200
